use serde::Serialize;
use tauri::command;
use crate::*;

// We will use this to return the app version from Cargo.toml
#[derive(Debug, Serialize)]
pub struct AppInfo {
    pub version: String,
}

#[command]
pub fn get_app_version() -> AppInfo {
    // Return the crate version from Cargo.toml
    AppInfo {
        version: env!("CARGO_PKG_VERSION").to_string(),
    }
}